Bug 211100 - compiz (gnome-window-decorator?) doesn't display keyboard shortcuts in window menu
compiz (gnome-window-decorator?) doesn't display keyboard shortcuts in window...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: leigh scott
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-17 09:01 EDT by Nalin Dahyabhai
Modified: 2012-08-16 18:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot with metacity (144.25 KB, image/png)
2010-06-15 17:38 EDT, Nalin Dahyabhai
no flags Details
screenshot with compiz (142.68 KB, image/png)
2010-06-15 17:39 EDT, Nalin Dahyabhai
no flags Details

  None (edit)
Description Nalin Dahyabhai 2006-10-17 09:01:03 EDT
Description of problem:
When I switch from metacity to compiz, the window menu which Alt-Space brings up
no longer displays the keyboard shortcuts which are bound to the various options.

Version-Release number of selected component (if applicable):
compiz-0.0.13-0.32.20060817git.fc6
metacity-2.16.0-5.fc6
Comment 1 Matěj Cepl 2007-08-17 08:53:43 EDT
Still reproducable on F7.
Comment 2 Bug Zapper 2008-05-14 08:03:31 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Nalin Dahyabhai 2008-05-14 11:48:52 EDT
Bug's still there, moving to F9.
Comment 4 Bug Zapper 2009-06-09 18:19:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Nalin Dahyabhai 2009-06-09 18:29:47 EDT
Bug's still there, moving to F11.
Comment 7 Bug Zapper 2009-11-16 02:53:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Matěj Cepl 2009-11-17 06:59:57 EST
Switching incorrect assignees to the default one.
Comment 9 Jeff Raber 2010-06-15 03:34:24 EDT
Reporter,  I am unable to reproduce this issue in F13.  Can you reproduce in F11/12/13?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Nalin Dahyabhai 2010-06-15 14:05:59 EDT
I don't have an F13 box in front of me, but it's still the case on F14 with compiz and compiz-gnome 0.8.6-1.fc14.  When I press Alt+Space to bring up the window menu, none of the options have their keyboard shortcuts listed.
Comment 11 Jeff Raber 2010-06-15 17:01:44 EDT
I cannot reproduce this.  Can you provide a screen shot?  Also, does this always happen?  Are the keyboard shortcuts displayed when you click on the menu with the mouse?  What about if you click on the menu then, while the menu is still being displayed, press and release the ALT key, then move the mouse over the menu?
Comment 12 Nalin Dahyabhai 2010-06-15 17:38:28 EDT
(In reply to comment #11)
> I cannot reproduce this.  Can you provide a screen shot?  Also, does this
> always happen?  Are the keyboard shortcuts displayed when you click on the menu
> with the mouse?  What about if you click on the menu then, while the menu is
> still being displayed, press and release the ALT key, then move the mouse over
> the menu?    

I'll attach screenshots using both metacity and compiz.  It always happens, regardless of whether I open the menu with my keyboard or the mouse.  Pressing and releasing the Alt key while the menu is open, or moving the mouse around over the menu items while holding the Alt key down, doesn't seem to have any effect.

I'll attach cropped screenshots using both metacity and compiz.
Comment 13 Nalin Dahyabhai 2010-06-15 17:38:59 EDT
Created attachment 424309 [details]
screenshot with metacity
Comment 14 Nalin Dahyabhai 2010-06-15 17:39:23 EDT
Created attachment 424310 [details]
screenshot with compiz
Comment 15 Bug Zapper 2010-07-30 06:29:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Rafael Louback Ferraz 2010-09-05 14:26:07 EDT
Im having similar problem in fc13, Im trying to disable the ctrl+alt+up or down arrow to use it in QtCreator. But this only works with compiz disabled
Comment 17 Fedora Admin XMLRPC Client 2011-06-01 16:30:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora Admin XMLRPC Client 2011-06-01 16:30:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Fedora Admin XMLRPC Client 2011-06-01 16:31:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 20 Fedora Admin XMLRPC Client 2011-06-01 16:33:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Jan Pazdziora 2011-12-31 16:55:51 EST
I can still observe the issue on Fedora 16, with

$ rpm -q compiz compiz-gnome
compiz-0.9.5.92.1-0.1.gite676f1b12eb8db3a76978eed5bfc7c2cf9a0b6ce.fc16.i686
compiz-gnome-0.9.5.92.1-0.1.gite676f1b12eb8db3a76978eed5bfc7c2cf9a0b6ce.fc16.i686

I believe we should either say this is NOTABUG since compiz does not support this and is not supposed to support this, or escalate to upstream, or something similar. Keeping this bugzilla open for ten Fedora releases does not seem too cool.
Comment 22 Fedora End Of Life 2012-08-16 18:04:33 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.